[nvidia-glx] gnome-display-properties reports incorrect refresh rate due to DynamicTwinView

Bug #104105 reported by Peter Garrett on 2007-04-07
6
Affects Status Importance Assigned to Milestone
linux-restricted-modules-2.6.20 (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: gnome-control-center

$ dpkg -l gnome-control-center | grep ^ii
ii gnome-control-center 2.18.0-0ubuntu3 utilities to configure the GNOME desktop

$ lspci
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 651 Host (rev 01)
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] Virtual PCI-to-PCI bridge (AGP)
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS962 [MuTIOL Media IO] (rev 04)
00:02.1 SMBus: Silicon Integrated Systems [SiS] SiS961/2 SMBus Controller
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE]
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] AC'97 Sound Controller (rev a0)
00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
00:03.2 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
00:03.3 USB Controller: Silicon Integrated Systems [SiS] USB 2.0 Controller
00:04.0 Ethernet controller: Silicon Integrated Systems [SiS] SiS900 PCI Fast Ethernet (rev 91)
00:10.0 Communication controller: Agere Systems LT WinModem (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5500] (rev a1)

Steps to reproduce and reason for discovery:

Reason for discovery: planetpenguin-racer decided to do funky things to Xorg ( ie. wedge the whole system)
                                    apparently ppracer wanted to set 800x600 ( the only time I got X back it was running at something like 800x600)

Did a dpkg-reconfigure xserver-xorg without success, then moved a "known good" xorg.conf into place and recovered X. At this point gnome-display properties insists that my refresh rate is 50 Hz , whereas xvidtune report the expected 85 Hz Vert Sync @ 1024x768

NEC V730 MultiSync monitor ( 17" )

Just a follow-up comment:

This is definitely gnome-related and not either X or ppracer.

Using the fluxbox window manager, running ppracer does not freeze the
system. Attempting to run ppracer in gnome freezes the system totally, and
even attempting to kill X from an ssh login to the machine fails - only a
hard reset will stop the madness, and ctrl-alt-F1, F2 etc do not respond
when this happens in Gnome

To conclude: the problem appears to be in Gnome's detection of refresh
rates, or something of the kind.

Since ppracer is , shall we say, popular... ;-) , and an Nvidia FX 5500 is
hardly unusual, perhaps this bug should be raised in importance, assuming
that it is reproducible.

I now find that I cannot reproduce the bug with respect to the
lockup caused by ppracer using gnome, despite the fact that it was
occurring 100 % of the time until now.

The resolution dialogue still shows refresh rate at 50, though - and
xvidtune still says 85 as expected.

Num hsync: 1, Num vsync: 1
hsync range 0: 30.00 - 70.00
vsync range 0: 50.00 - 120.00

On Wed, 11 Apr 2007 23:02:17 -0000
Sebastien Bacher <email address hidden> wrote:

> Does it work correctly now then?

The Screen Resolution dialogue still reports Refresh Rate as 50 - with a
range up to 56 . This is clearly wrong.

Xvidtune correctly reports 85 Hz as Vertical Sync, and the horizontal and
vertical ranges are also correctly reported by xvidtune, as noted above in
the snippet from the xvidtune terminal output.

I noticed that when I run ` sudo dpkg-reconfigure xserver-xorg` my
monitor's horiz/vert rates are incorrectly detected, which may have
something to do with this- I don't know.

From memory the command thinks my
horizontal is as low as 20 and my vertical around 50 - I had to enter
these values correctly myself.

On Thu, 12 Apr 2007 09:51:24 -0000
Sebastien Bacher <email address hidden> wrote:

> does xrandr list the same value?

Output of xrandr attached

>
> --
> [feisty] gnome-display-properties reports incorrect refresh rate ?
> https://bugs.launchpad.net/bugs/104105
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Sebastien Bacher (seb128) wrote :

xrandr does the same, reassigning to xorg

Holger Bauer (umarmung-planet) wrote :

Do you use the closed source nvidia drivers? If yes, then the wrong refresh rate is due to nvidias dynamic twinview stuff.

From the nvidia-glx README:
"Q. Why is the refresh rate not reported correctly by utilities that use the
   XRandR X extension (e.g., the GNOME "Screen Resolution Preferences" panel,
   `xrandr -q`, etc)?

A. The XRandR X extension is not presently aware of multiple display devices
   on a single X screen; it only sees the MetaMode bounding box, which may
   contain one or more actual modes. This means that if multiple MetaModes
   have the same bounding box, XRandR will not be able to distinguish between
   them.

   In order to support DynamicTwinView, the NVIDIA X driver must make each
   MetaMode appear to be unique to XRandR. Presently, the NVIDIA X driver
   accomplishes this by using the refresh rate as a unique identifier.

   You can use `nvidia-settings -q RefreshRate` to query the actual refresh
   rate on each display device.

   This behavior can be disabled by setting the X configuration option
   "DynamicTwinView" to FALSE."

Can you try and add
Option "DynamicTwinView" "false"
to your xorg.conf?

On Fri, 20 Apr 2007 09:27:52 -0000
Holger Bauer <email address hidden> wrote:

> Do you use the closed source nvidia drivers? If yes, then the wrong
> refresh rate is due to nvidias dynamic twinview stuff.

No, I used nvidia-glx from the Ubuntu repositories.

Peter Garrett (peter-garrett) wrote :

On Fri, 20 Apr 2007 09:27:52 -0000
Holger Bauer <email address hidden> wrote:

> Can you try and add
> Option "DynamicTwinView" "false"
> to your xorg.conf?

OK - added this to the "Device" stanza in xorg.conf, and the
gnome-display-properties now, indeed, shows 85 Hz as the refresh rate,
which is correct.

Apparently the Ubuntu nvidia-glx has the same issue , then ?

$ dpkg -l nvidia-glx | grep ^ii
ii nvidia-glx 1.0.9631+2.6.20.5-15.20 NVIDIA binary XFree86 4.x/X.Org
driver

Peter Garrett (peter-garrett) wrote :

On Fri, 20 Apr 2007 09:27:52 -0000
Holger Bauer <email address hidden> wrote:

> Do you use the closed source nvidia drivers?

Ah, of course nvidia-glx * is* in fact the closed source driver - my
mistake. I tend to forget that we are using binary blobs to achieve 3d.

Hope the nouveau drivers arrive and work soon!

Punting from xorg -> linux-restricted-modules-2.6.20 because this is due to a feature of the nvidia binary drivers.

Javier Jardón (jjardon) on 2007-04-25
Changed in linux-restricted-modules-2.6.20:
status: Unconfirmed → Confirmed
Sitsofe Wheeler (sitsofe) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug #92599 and is being marked as such. Please feel free to report any other bugs you may find.

Changed in linux-restricted-modules-2.6.20:
status: Confirmed → Rejected
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments